![RTCW Banner](https://github.com/DrBeef/RTCWQuest/blob/master/assets/banner.jpg)
====

RTCWQuest
==========

Welcome to the one and only fully wireless 6DoF implementation of the _Return to Castle Wolfenstein_ single player campaign in VR.

This is built solely for the Oculus Quest VR HMD and will *not* run on any other device.

The easiest way to install this on your Quest is using SideQuest, a Desktop app designed to simplify sideloading apps and games ( even beat saber songs on quest ) on Standalone Android Headsets like Oculus Quest and Oculus Go. It supports drag and drop for installing APK files!

Download SideQuest here:
https://github.com/the-expanse/SideQuest/releases



IMPORTANT NOTE
--------------

This is just an engine port; though the apk does contain the DEMO version of RTCW, not the full game. If you wish to play the full game you must purchase it yourself, steam is most straightforward:  [STEAM LINK]


Copying the Full Game PAK files to your Oculus Quest
----------------------------------------------------

Copy the PAK files from the installed RTCW game folder on your PC to the /RTCWQuest/Main folder on your Oculus Quest when it is connected to the PC. You have to have run RTCWQuest at least once for the folder to be created and if you don't see it when you connect your Quest to the PC you might have to restart the Quest.


Caveats
-------

WARNING:  There is a good chance that unless you have your VR-legs this will probably make you feel a bit sick. The moment you start to feel under the weather YOU MUST STOP PLAYING for a good period of time before you try again. I will not be held responsible for anyone making themselves ill.

Configuration
-------------

There are plenty of options available in the controls configuration menu. Be sure to check them out.

*Smooth Turning*

To enable smooth turning, simply set the snap turn value to very low, try a few values out to find one that suits you.

*Teleport*

Once teleport has been enabled in the config menu, you can press the off-hand trigger to activate the teleport, aim with the offhand controller to the desired location and release the trigger to teleport, normal locomotion is still available too, though if you wish to turn that off then you can reduce the movement speed to zero in the configuration menu.
**NOTE: There is nothing to stop you cheating with the teleport**

*Laser Sight*

If you really want to, you can enable a laser sight in the controls menu.

*Height Adjust*

Player height can be adjusted for those that wish to play seated.


Controls
========

![RTCW Controller Diagram](https://github.com/DrBeef/RTCWQuest/blob/master/assets/Controller_diagram_alt.jpg)

Note: the controls should be reversed for left handed players

* Open the in-game menu with the left-controller menu button (same irrespective of right/left handed control)
* A Button - Crouch
* B Button - Jump
* Y Button - Bring up the notebook
* X Button - Show / Hide the HUD
* Right-Hand Controller - Weapon orientation
* Right-Hand Thumbstick - left/right Snap or Smooth turn, up/down weapon change
* Right-Hand Thumbstick click - "activate" button (open doors, pull levers, pickup chairs etc)
* Right-Hand Trigger - Fire
* Right Grip Button - short click = reload, long press and trigger to switch weapon to alt-fire (more on this shortly)
* Left-Hand Controller - Direction of movement (or HMD direction if configured)
* Left-Hand Thumbstick - locomotion
* Left-Hand Trigger - Run / Teleport
* Left-Hand Grip Button - Two handed Weapon Stabilisation - will increase accuracy of weapons
* Left-Hand Thumbstick click - Kick


Alt-Fire
--------

Press and hold the grip button then pull the trigger to select the alternative weapon mode.


Weapon Specific Controls
========================

Sniper Scopes
-------------

The FG42 and the Mauser can have their scopes toggled on and off by using the weapon alt mode (note the scoped Mauser is only available once the scope has been picked up in the game). When the scope is attached, to trigger the scoped view, ensure you are holding the weapon in two hands (use off-hand grip button) and then look through the scope on the weapon, this will switch you to scope mode:

* Move the controllers like you would when looking through the scope to aim by moving the weapon
* Use the dominant thumb stick forward / back to zoom in / out
* When using the scope you will move at 1/3 normal speed
* Thumbstick Turning is disabled when the scope is active
* Release the off hand grip or move the dominant controller away from your face to exit scoped mode


Knife
-----

There is no fire button, simply stab with it or swing it to use it like a knife.


Grenades / Pineapples / Dynamite
--------------------------------

These are all throwable. Hold the trigger and then throw the item, releasing the trigger at the apex of the throw.


Mounted Guns (MG42)
-------------------

Mounted guns are aimed using gaze direction, pull trigger to fire, press "activate" to enter/exit mounted gun mode.



Backpack
--------

There is a handy backpack feature which acts as a quick access to certain weapons/pickups. To access the backpack move the controller out of sight over your shoulder. 
Press and hold one of the following buttons to access the associated items:

*Dominant Hand Controller*

* A (or X for left handed) - Knife (useful to quickly smash up stuff or stab)
* B (or Y for left handed) - Binoculars (once you have picked them up in game), raise them to your face to look through them, pull trigger to zoom in/out
* Grip button - Grenades / Dynamite - You can then throw them in the usual manner using the trigger

Release the button to return to the previously active weapon

*Off Hand Controller*

* X (or A for left handed) - Quick Save Game
* Y (or B for left handed) - Load Last Quick Save


Things to note / FAQs:
----------------------

* Mods and Texture packs that work:...


Credits:
--------

I would like to thank the following teams and individual for making this possible:


* Emile Belanger - For once again providing the android port upon which this is based. See his other Android ports [here](http://www.beloko.com/)
* Baggyg - My long-time VR friend whose roles in this have been varied and all helpful, also the creator of excellent websites/artwork/assets for this mod as well as various  model alterations to be more VR friendly (removing hands, tweaking iron sights, alignment etc)
* VR_Bummser - PR person extraordinaire, play tester and all round helpful and good guy. Hoping I can buy him a beer in person one day!
* The [SideQuest](https://sidequestvr.com/#/news) team - For making it easy for people to install this
* Dark Matter Productions and William Faure - for allowing us to include their excellent remastered weapons with the install. Check out their work here
* _HellBaron_ - for allowing us to provide a custom version of his excellent Venom Mod for RTCW
* Johannes Tripolt (Eigenlaut) - For additional fixes and enhancements to weapons
* [ptitSeb](https://github.com/ptitSeb/gl4es) for GLE4ES for the OpenGL -> OpenGLES2 translation: without which this project wouldn't have worked at all


Building:
---------

You need the following:

* Android Developer Studio
* Latest Android Native Development Kit
* Oculus Mobile SDK 1.30.0
* The RTCWQuest folder cloned from GitHub should be below VrSamples in the extracted SDK
* Create a local.properties file in the root of the extracted Oculus Mobile SDK that contains the ndk.dir and sdk.dir properties for where your SDK/NDK are located (see Gradle documentation regarding this)
* To build debug you will need a _android.debug.keystore_ file placed in the following folder:
_oculus_sdk_dir_/VrSamples/RTCWQuest/Projects/Android
